Class
LocalMatchStore
Stores information about local matches.
LocalMatchStore<[TSpec[, TConfig]]>
Include Headers
seqan/parse_lm.h
Parameters

TSpec | Specialization tag.
TConfig | Configuration class.

Remarks
The LocalMatchStore provides information about matches. Similar to the FragmentStore, the information is split into multiple sub stores. Each sub store stores a part of the information.
The matchStore stores the information about a match. The sequenceNameStore stores the sequence names. These both sub stores are "core stores", they are filled with consistent information, i.e. for each sequence id in the matchStore, there has to be a valid entry in the sequenceNameStore.
The cigarStore optionally stores CIGAR strings for the matches. Its entries are referenced by matchStore[i].id.
Data Members

cigarStore | String storing the CIGAR strings.
matchStore | String storing the local matches.
sequenceNameStore | StringSet storing the sequence names.

Functions

appendLocalMatch | Append a new local match to a LocalMatchStore
readRecord | Read Lastz "general" format record.

Examples
Read Lastz matches from a RecordReader and then print them to stdout.
// Read local alignments from record reader. Note that in real-world code,
// you should have error handling.
LocalMatchStore<> lmStore;
while (!atEnd(recordReader))
readRecord(lmStore, recordReader, StellarGff());
// Print local alignment information to stdout.
std::cout << "# Reverse strandness is indicated by end < begin\n"
<< "#db\tdb_beg\tdb_end\tquery\tq_beg\tq_end\n";
for (unsigned i = 0; i < length(lmStore.matchStore); ++i)
std::cout << lmStore.sequenceNameStore[lmStore.matchStore[i].queryId] << "\t"
<< lmStore.matchStore[i].queryBeginPos << "\t"
<< lmStore.matchStore[i].queryEndPos << "\t"
<< lmStore.sequenceNameStore[lmStore.matchStore[i].subjectId] << "\t"
<< lmStore.matchStore[i].subjectBeginPos << "\t"
<< lmStore.matchStore[i].subjectEndPos << "\n";
See Also
LocalMatch
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56